Bug 42709 - Animated GIFs not displaying correctly.
Summary: Animated GIFs not displaying correctly.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All Linux (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard: bibisected35older bibisected35 NoRepr...
Keywords: regression
: 49254 (view as bug list)
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2011-11-08 07:51 UTC by Tim Goodwin
Modified: 2014-11-15 14:01 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Gif not displaying correctly... (14.62 KB, image/png)
2011-11-08 07:51 UTC, Tim Goodwin
Details
Gif not displaying correctly... (4.48 KB, image/gif)
2012-01-10 05:11 UTC, Tim Goodwin
Details
rugby3.gif (4.48 KB, image/gif)
2012-01-10 11:30 UTC, tester8
Details
soccer_player_animated.gif (8.56 KB, image/gif)
2012-01-10 11:32 UTC, tester8
Details
Screenshot of bad rendering (23.92 KB, image/png)
2012-01-10 11:40 UTC, tester8
Details
Animated gif not working in Impress (350.64 KB, image/png)
2012-01-24 07:31 UTC, Tim Goodwin
Details
Test file used for my comment #17 (424.01 KB, application/vnd.oasis.opendocument.presentation)
2012-02-08 22:04 UTC, Saaz Rai
Details
Animated gif is not displaying correctly in Impress (231.77 KB, application/vnd.oasis.opendocument.presentation)
2012-02-16 11:56 UTC, andis.lazdins
Details
another gif that is not displayed correctly (7.05 KB, image/gif)
2012-05-01 17:25 UTC, bzzz
Details
problem with animated GIF in Writer (16.83 KB, application/vnd.oasis.opendocument.text)
2012-09-13 09:35 UTC, sasha.libreoffice
Details
Screen copy demonstrating differences in earlier and current versions (23.33 KB, application/vnd.oasis.opendocument.text)
2012-10-28 21:46 UTC, andis.lazdins
Details
Animated gif that does not work in libreoffice 3.5.7.2 (261.06 KB, image/gif)
2013-06-21 10:39 UTC, Alex Teichman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Goodwin 2011-11-08 07:51:44 UTC
Created attachment 53297 [details]
Gif not displaying correctly...

Following an upgrade, animated gifs are no longer displaying correctly in Impress.They appear corrupted. Not all animated gifs are affected, but most seem to be.
Comment 1 tester8 2012-01-06 16:17:12 UTC
NOT reproduced with

LOdev 3.5.0beta2 
4ca392c-760cc4d-f39cf3d-1b2857e-60db978
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

Can you upload example .gif file?
What is your LO version?
Comment 2 tester8 2012-01-06 16:17:46 UTC
I use for test images from this page
http://en.wikipedia.org/wiki/Gif
Comment 3 Tim Goodwin 2012-01-10 05:11:34 UTC
Created attachment 55380 [details]
Gif not displaying correctly...

Here is a sample gif that no longer displays correctly in LO, but does in PP.
Comment 4 tester8 2012-01-10 11:20:51 UTC
Tim Goodwin sent me two images. I have no problem with rugby3.gif, but have with soccer_player_animated.gif (man figure is white on black backgroung).

LOdev 3.5.0beta2 
4ca392c-760cc4d-f39cf3d-1b2857e-60db978
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI
Comment 5 tester8 2012-01-10 11:28:56 UTC
Forgot to mention
>man figure is white on black backgroung
In demonstration mode, in normal mode it is grey dotted outline.
Comment 6 tester8 2012-01-10 11:30:22 UTC
Created attachment 55395 [details]
rugby3.gif
Comment 7 tester8 2012-01-10 11:32:03 UTC
Created attachment 55396 [details]
soccer_player_animated.gif
Comment 8 tester8 2012-01-10 11:40:19 UTC
Created attachment 55397 [details]
Screenshot of bad rendering
Comment 9 markusN 2012-01-12 14:50:55 UTC
I have the problem with libreoffice-impress-3.4.4.2-6.fc16.x86_64 that
an animated GIF is only shown in the editing mode but not in the
full presentation mode (the GIF is not looping).
Comment 10 tester8 2012-01-13 14:12:04 UTC
markusN,

Please attach GIF file you have problem with.
Comment 11 markusN 2012-01-14 06:20:12 UTC
Since it is a 10MB file, I have put it here:

http://gis.cri.fmach.it/download/ecad_tmean_animation.gif
Comment 12 tester8 2012-01-14 14:35:17 UTC
Not reproduced with http://gis.cri.fmach.it/download/ecad_tmean_animation.gif.
Still NEW due to results with another two files.
Comment 13 markusN 2012-01-15 08:29:36 UTC
thanks, tester8 for trying. But I assure you that it fails
with libreoffice-impress-3.4.4. Which version did you use?
Comment 14 tester8 2012-01-15 15:49:52 UTC
markusN
3.5 (see Comment 4).
May be fix for that will be included in 3.4.6.
Comment 15 Tim Goodwin 2012-01-24 07:27:29 UTC
This may be a problem with 64bit version. I created a slideshow using 32bit version of OpenOffice which displays all animated gifs fine. However, opening same .odp file in LibreOffice on 64bit Ubuntu results in many of the gifs being corrupted. I will attach screenshot of bad rendering.
Comment 16 Tim Goodwin 2012-01-24 07:31:17 UTC
Created attachment 56085 [details]
Animated gif not working in Impress

Only white background shown - should be player bouncing ball off foot. Other animations also faulty.
Comment 17 Saaz Rai 2012-02-08 22:02:26 UTC
I think the issue is a regression. However, the issue seems to be only in Linux version of LO. Here are the test results of the x.odp file I've attached with various versions of LO and OS.

Ubuntu 11.10 32 bit with LO 3.4.4 : Most animations not visible
Ubuntu 12.04 A2 32 bit with LO 3.5.0 B2 : Most animations not visible
Ubuntu 10.04 32 bit with OO 3.2.0 : No issues except some animations not playing
Windows XP 32 bit with LO 3.4.5 : No issues except some animations not playing
OpenSUSE 32 bit with LO 3.3.1: No issues except some animations not playing
Fedora 16 32 bit with LO 3.4.3.: Most animations not visible
LinuxMint Lisa 32 bit with LO 3.4.3.: Most animations not visible
Comment 18 Saaz Rai 2012-02-08 22:04:30 UTC
Created attachment 56787 [details]
Test file used for my comment #17

Test file used for my comment #17
Comment 19 andis.lazdins 2012-02-16 11:56:14 UTC
Created attachment 57174 [details]
Animated gif is not displaying correctly in Impress

I found the same problem in LibreOffice 3.5. The same file is appearing normally in 3.3.4
Comment 20 andis.lazdins 2012-02-16 11:57:15 UTC
Ubuntu 11.10
Comment 21 Saaz Rai 2012-02-22 22:05:30 UTC
Urge this bug (which is a regression) to be treated on top priority as this is causing huge issues while using this version of Impress in the school classrooms. Libreoffice is losing goodwill earlier created by OpenOffice with the users in my school.
Comment 22 tester8 2012-02-23 11:19:06 UTC
NOT Reproduced with

OOo 3.2.0 OOO320m12 (build:9483)

Mark as regression.
Comment 23 Björn Michaelsen 2012-02-28 08:54:22 UTC
Please be specific about the version you are having trouble with.
NOT reproducable with Ubuntu version 1:3.5.0-1ubuntu4.
Comment 24 Björn Michaelsen 2012-02-28 08:56:16 UTC
Eh, wasnt finished:
NOT reproducable with Ubuntu version 1:3.5.0-1ubuntu4 on precise.

Also unassigned myself for now.
Comment 25 andis.lazdins 2012-02-28 13:06:35 UTC
For me the bug (last file in list of attachments) is reproducible in LibreOffice 3.5.1 RC1 Xubuntu 11.10
Comment 26 Björn Michaelsen 2012-02-28 13:14:28 UTC
Yes, argh!

I assumed there had to be something wrong with the _first_ animated gif on the first slide. But, yes, there are broken gifs on the later slides. This also happens on a recent master upstream dev-build, so it is _not_ a packaging issue.

=> needs bibisecting
Comment 27 Björn Michaelsen 2012-02-28 13:22:58 UTC
Regression does appear in oldest version of bibisect-3.5.tar.lzma and must be older.

with oldest version being: source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
Comment 28 Björn Michaelsen 2012-02-28 13:34:46 UTC
not buggy on 3.3.4  (Comment 19)
buggy on 3.4.3 Fedora-16 32-Bit (Comment 17)
bug appears on recent master (Comment 26)
bug appears on 3.5 branch (Comment 19)

also suggest:
a) this is not a 64-bit issue
b) this is not an Ubuntu/Debian-only issue
c) this has been introduced between 3.3 and 3.4 on master
Comment 29 andis.lazdins 2012-03-07 08:32:11 UTC
Hi!

The problem persist in 3.5.1 RC2

Ubuntu 11.10
Comment 30 andis.lazdins 2012-03-19 00:06:37 UTC
The animated gifs are not displayed correctly also in 3.6 alfa branch on Ubuntu 11.10 32 bit.
Comment 31 andis.lazdins 2012-03-20 23:14:03 UTC
The problem persists in LibreOffice 3.5.2.1. No positive changes up to now, unfortunately.
Comment 32 andis.lazdins 2012-03-24 00:25:42 UTC
The problems is not solved - LOdev 3.6.0alpha0+ Build ID: 9e890ae-1ac6932-6299bf6-879ce36-638d9c; Ubuntu 11.10 32 bit
Comment 33 andis.lazdins 2012-04-20 11:45:30 UTC
The problems is not solved in LibreOffice 3.5.3.1 Build ID: 21cb047-d7e6025-9ba54fc-b4a51a8-f42372b

 Ubuntu 11.10 32 bit
Comment 34 andis.lazdins 2012-04-30 19:58:53 UTC
The problem persists in LibreOffice 3.5.3.2 Build ID: 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
Comment 35 bzzz 2012-05-01 17:25:34 UTC
Created attachment 60875 [details]
another gif that is not displayed correctly

Attached gif also not working in:
LibreOffice 3.5.2.2 
Build ID: 350m1(Build:202)

Running Kubuntu 12.04 64 Bit

Problem exists on first and any other slides, makes no difference. Just shows up as black and white image. When inserted via Insert->Picture->From file (linked or copied), it appears as small image. With the predefined buttons of a empty layout slide, it is much larger. Both images share some problems when marking them - one needs to draw a large rectangle to select them, just clicking onto it does not have any effect.
Comment 36 andis.lazdins 2012-05-17 07:30:01 UTC
The problem is not solved in 3.5.4.1 
Build ID: 7306755-f4f605c-738527d-1cf4bc1-9930dc8
Ubuntu linux 12.04
Comment 37 andis.lazdins 2012-05-24 00:03:42 UTC
The problem is not solved, Ubuntu 12.04 LibreOffice 3.5.4.2 Build ID:
165a79a-7059095-e13bb37-fef39a4-9503d18
Comment 38 sasha.libreoffice 2012-09-13 09:35:40 UTC
Created attachment 67085 [details]
problem with animated GIF in Writer
Comment 39 sasha.libreoffice 2012-09-13 09:41:39 UTC
*** Bug 49254 has been marked as a duplicate of this bug. ***
Comment 40 Julien Nabet 2012-10-28 15:13:16 UTC
On pc Debian x86-64 with 3.5, 3.6 and sources, the 3 updated today, files open ok.

Tim, Andis, Sasha: could you give a try to a newer LO version (3.5.7 or 3.6.2)?
Comment 41 andis.lazdins 2012-10-28 18:54:15 UTC
Hello!

In version 3.6.3.1 (Build ID: f8fce0b) this file https://bugs.freedesktop.org/attachment.cgi?id=56787 is still not running as supposed to be.

> Tim, Andis, Sasha: could you give a try to a newer LO version (3.5.7 or
> 3.6.2)?
Comment 42 andis.lazdins 2012-10-28 19:43:06 UTC
In Version 3.6.3.2 (Build ID: 58f22d5) the file https://bugs.freedesktop.org/attachment.cgi?id=57174 is also not working properly

> Tim, Andis, Sasha: could you give a try to a newer LO version (3.5.7 or
> 3.6.2)?
Comment 43 Julien Nabet 2012-10-28 21:19:35 UTC
Andis: I tested again and if in normal mode, it works, the slideshow doesn't work.
Have you got these results? If not, could you be more precise when you say it still doesn't work?
Comment 44 andis.lazdins 2012-10-28 21:45:24 UTC
Hi!

It doesn't work at any conditions for me. For this (https://bugs.freedesktop.org/attachment.cgi?id=57174) it shows only empty area (deginning) and the final screen of the animated gif. For this (https://bugs.freedesktop.org/attachment.cgi?id=67085) I see white sheet music notes on black flickering background, but there should be colourous musical notes on white background. I attached screencopy as attachment to the bug report. 
I think there are no changes since identification of this regression.

> Have you got these results? If not, could you be more precise when you say
> it still doesn't work?
Comment 45 andis.lazdins 2012-10-28 21:46:27 UTC
Created attachment 69201 [details]
Screen copy demonstrating differences in earlier and current versions
Comment 46 Julien Nabet 2012-10-28 22:02:16 UTC
Obviously I must miss something but I don't know what, sorry...
Comment 47 sasha.libreoffice 2012-10-29 06:08:58 UTC
reproduced in 3.6.2 on RFR 17 64bit, installed from rpms from libreoffice.org
Comment 48 Julien Nabet 2012-11-01 06:12:23 UTC
Thank you Andis for your screen copy demonstration (and your patience :-)).
On pc Debian x86-64 with master sources updated yesterday, I reproduced the problem.
The notes are animated but color is completely lost
Badfully, I've got no specific logs on console giving some hints :-(
Comment 49 ign_christian 2013-05-10 07:29:11 UTC
Confirmed I saw similar to this bug on Ubuntu 12.04 (but not on Win7)

See Bug 61722
Comment 50 Alex Teichman 2013-06-21 10:39:55 UTC
Created attachment 81160 [details]
Animated gif that does not work in libreoffice 3.5.7.2
Comment 51 Alex Teichman 2013-06-21 10:41:40 UTC
This problem is also affecting me.  libreoffice 3.5.7.2 on Ubuntu 12.04.
Comment 52 k.rosemeier 2013-08-25 23:47:58 UTC
Version 4.0.2.2 (Build ID: 400m0(Build:2), Ubuntu 13.04, AMD 64
Animated gifs in Impress only display correctly when the previous picture in a sequence is not replaced. As soon as an animation requires pictures to be replaced, animation shows place holders - not the pictures.

same animation works perfectly in Writer - and everywhere else.
Comment 53 Samuel Mehrbrodt (CIB) 2013-12-02 11:08:15 UTC
*** Bug 49253 has been marked as a duplicate of this bug. ***
Comment 54 Robinson Tryon (qubit) 2013-12-06 09:12:24 UTC
TESTING with LO 4.2.0.0.beta2 + Ubuntu 12.04.3 x86_64 + FF25

Is there a reason we need so many different attachments? One is called "Animated gif not working in Impress", but lists a MIMEtype of "image/png".

Here's how I tested each GIF:

STEPS:
- Open GIF in browser and confirm animation
- Open LO Impress, Insert -> Image -> From File ( GIF file ), and check animation

Running some tests:

For each attachment:
- 'rugby3.gif' looks the same in both FF and LO
- 'soccer_player_animated.gif' same in both
- 'Animated gif not working in Impress' is a PNG
- 'another gif that is not displaying correctly' (metamorp.gif) - same in both
- 'Animated gif that does not work in libreoffice 3.5.7.2' (01-animated-small.gif) - same in both


(In reply to comment #15)
> This may be a problem with 64bit version. I created a slideshow using 32bit
> version of OpenOffice which displays all animated gifs fine. However,
> opening same .odp file in LibreOffice on 64bit Ubuntu results in many of the
> gifs being corrupted.

I'm testing with a 64bit build of LO here...


(In reply to comment #44)
> (https://bugs.freedesktop.org/attachment.cgi?id=57174) it shows only empty
> area (deginning) and the final screen of the animated gif.

GIF animates fine in LO.

> For this
> (https://bugs.freedesktop.org/attachment.cgi?id=67085) I see white sheet
> music notes on black flickering background, but there should be colourous
> musical notes on white background.


I see colored notes on a white background.

----


End Result: NOREPRO
Comment 55 andis.lazdins 2013-12-06 10:36:16 UTC
All problematic gifs are still problematic (not showing as supposed) for me in Ubuntu 13.04, 32 bit LO 4.0.6.
Comment 56 Robinson Tryon (qubit) 2013-12-06 10:43:19 UTC
(In reply to comment #55)
> All problematic gifs are still problematic (not showing as supposed) for me
> in Ubuntu 13.04, 32 bit LO 4.0.6.

Hi Andis,

LO 4.0.6 has been End of Lifed (EOL):
https://wiki.documentfoundation.org/ReleasePlan#4.0_release

Could you please update to a modern version of LibreOffice (such as 4.1.3 or 4.2.0.0.beta2) and see if you can still repro these results?
https://www.libreoffice.org/download/

Thanks!
Comment 57 sasha.libreoffice 2013-12-06 11:32:33 UTC
in 4.1.3 on Fedora 64 bit animation of last attachment disabled at all.
Picture shows correctly, but without animation. The same situation in Bug 49254.
May be we should close current bug as WorksForMe and open separate for disabled animation problem. Or reopen and rename Bug 49254.
Comment 58 Robinson Tryon (qubit) 2013-12-06 11:38:43 UTC
(In reply to comment #57)
> in 4.1.3 on Fedora 64 bit animation of last attachment disabled at all.
> Picture shows correctly, but without animation. The same situation in Bug
> 49254.

interesting

> May be we should close current bug as WorksForMe and open separate for
> disabled animation problem. Or reopen and rename Bug 49254.

This bug is a bit messy. Resolving it and opening a new bug might help us to focus-in on what we can reproduce on modern builds.
Comment 59 andis.lazdins 2013-12-06 12:28:34 UTC
Hi!

Modern version still don't have version recommended for production :) and there are serious compatibility problems in Chart component with previous versions. At least it was stopper for me.

I tried on Version: 4.2.0.0.alpha1, Build ID: c2b9ad37f8a8de9c7dbdd76c86aecf6388107056 and at least some gifs I tried works for me so the bug could be closed.
Comment 60 Robinson Tryon (qubit) 2013-12-06 18:38:27 UTC
(In reply to comment #59)
> Hi!
> 
> Modern version still don't have version recommended for production :)

For some technical websites-need-to-be-updated reasons, we're still lagging a little on updating up from stable:4.0.6 to stable:4.1.x

But it will happen soon:
http://listarchives.libreoffice.org/global/website/msg12090.html

> and
> there are serious compatibility problems in Chart component with previous
> versions. At least it was stopper for me.

sorry to hear that -- can you make sure that bugs are filed against each of those issues? The sooner the bugs are filed, the sooner we can tackle them :-)

> 
> I tried on Version: 4.2.0.0.alpha1, Build ID:
> c2b9ad37f8a8de9c7dbdd76c86aecf6388107056 and at least some gifs I tried
> works for me so the bug could be closed.

+1 -- Please feel free to mark this bug as "RESOLVED WORKSFORME"

And remember: We're always happy to have a new bug filed if you find a GIF that fails to render properly in our latest builds.
Comment 61 retired 2013-12-06 20:33:36 UTC
Ubuntu 13.10 and LO 4.1.3.2 working fine.

Can we agree to file separate bugs for any animated gifs failing in 4.2b2 (http://www.libreoffice.org/download/pre-releases/)? With 60 comments and a ton of example files, some working some broken, this bug is impossible to overlook anymore.
Comment 62 Robinson Tryon (qubit) 2013-12-06 21:43:03 UTC
(In reply to comment #61)
> Ubuntu 13.10 and LO 4.1.3.2 working fine.
> 
> Can we agree to file separate bugs for any animated gifs failing in 4.2b2
> (http://www.libreoffice.org/download/pre-releases/)?

+1

Emphasis mine:
> With 60 comments and a
> ton of example files, some working SOME BROKEN, this bug is impossible to
> overlook anymore.

Personally, I can't find a single GIF that is broken. That's why I support resolving this as WORKSFORME.
Comment 63 Roberto De Renzi 2014-11-12 14:51:27 UTC
I think I have found a possible explanation, although I have not read all the messages in the list to check. 

To me the problem is not resolved, since many experience an unexpected behaviour.

In my case (ubuntu 14.04 + LO 4.2.7) the inserted gif was showing fine in the Normal editing mode and was displaying a still image in presentation mode (as for many others).

I was including the animation in a group for Custom Animation of the slide (sequential appear)

Then I ungrouped the image from the text. It now shows correctly also in presentation mode. **It looks as if gif animation is incompatible with Custom Animation**

Thanks
Comment 64 Julien Nabet 2014-11-15 14:01:52 UTC
Roberto: given the number of comments on this tracker, it could be useful you submit a brand new bug and give minimum step by step process to reproduce the problem.
Meanwhile, thank you for your investigation! :-)